strange(6)

NAME
strange - draws strange attractors

SYNOPSIS
strange [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--ncolors integer] [--delay microseconds] [--fps]

DESCRIPTION
The strange program draws strange attractors

OPTIONS
strange accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--ncolors integer
    How many colors should be used (if possible). Default 100. The colors are chosen randomly.

--points integer
    Change the number of points/iterations each frame. Default 5500. More than 6000 activates the accumulator, which makes parts of the image brighter or darker depending on how often the attractor hits each pixel.

--point-size integer
    Changes the size of individual points. Default 1.

--zoom float
    Zooms in or out. Default 0.9.

--brightness float
    Adjusts the brightness for accumulator mode. Default 1.0.

--motion-blur float
    Adds motion blur. Default 3.0, no motion blur is 1.0.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1997 by Massimino Pascal. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Massimino Pascal <Pascal.Massimon@ens.fr>, 1997. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 10-May-97.